org.apache.tomcat.util.digester

## Class RuleSetBase

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase

- All Implemented Interfaces:
    RuleSet
  Direct Known Subclasses:
    ClusterRuleSet, ContextRuleSet, CredentialHandlerRuleSet, EngineRuleSet, HostRuleSet, ImplicitTldRuleSet, MemoryRuleSet, NamingRuleSet, RealmRuleSet, TldRuleSet, WebRuleSet

  Deprecated.
  Unnecessary once deprecated methods are removed. Will be removed in Tomcat 9.

      @Deprecated
      public abstract class RuleSetBase
      extends Object
      implements RuleSet

  Convenience base class that implements the `RuleSet` interface. Concrete implementations should list all of their actual rule creation logic in the `addRuleSet()` implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `namespaceURI` Deprecated. Unused. This will be removed in Tomcat 9.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetBase()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addRuleInstances(Digester digester)` Deprecated. Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
    `String` | `getNamespaceURI()` Deprecated. Unused. This will be removed in Tomcat 9.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### namespaceURI

          @Deprecated
          protected String namespaceURI

      Deprecated. Unused. This will be removed in Tomcat 9.
      The namespace URI that all Rule instances created by this RuleSet will be associated with.

  - ### Constructor Detail

    - #### RuleSetBase

          public RuleSetBase()

      Deprecated.

  - ### Method Detail

    - #### getNamespaceURI

          @Deprecated
          public String getNamespaceURI()

      Deprecated. Unused. This will be removed in Tomcat 9.
      Return the namespace URI that will be applied to all Rule instances created from this RuleSet.
      Specified by:
        `getNamespaceURI` in interface `RuleSet`
      Returns:
        the namespace URI that will be applied to all Rule instances created from this RuleSet.

    - #### addRuleInstances

          public abstract void addRuleInstances(Digester digester)

      Deprecated.
      Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
      Specified by:
        `addRuleInstances` in interface `RuleSet`
      Parameters:
        `digester` - Digester instance to which the new Rule instances should be added.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.